* {
    outline: none;
}

body {
    font: 400 16px/1.8em "PingFangTC-Regular", Arial, Helvetica, "儷黑 Pro", "LiHei Pro", "微軟正黑體", "Microsoft JhengHei", sans-serif;
    color: #222;
    background: #ede9e6;
}

*::-webkit-scrollbar-track {
    border-radius: 0;
    background-color: rgba(255, 255, 255, .4)
}

*::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: #ccc;
}

*::-webkit-scrollbar {
    width: 7px;
    background-color: transparent
}

.menu::-webkit-scrollbar-track {
    border-radius: 0;
    background-color: rgba(45, 116, 150, 0.9)
}

.menu::-webkit-scrollbar-thumb {
    border-radius: 4px;
    background-color: rgba(255, 255, 255, .8);
}

body.fixed {
    overflow: hidden;
    width: 100%;
    height: 100vh;
}

body .container {
    margin: 0 auto;
    padding: 15px 40px;
    position: relative;
    width: 100% !important;
    max-width: 1024px;
}

body a {
    color: #006cdc;
}

body a:hover {
    color: #4899ec;
}

body ::selection {
    background: #ef6b89;
    color: #fff;
}

body ::-moz-selection {
    background: #ef6b89;
    color: #fff;
}

header {
    background: #00a1c5;
    position: relative;
    left: 0;
    top: 0;
    width: 100%;
    padding: 20px 0;
    z-index: 999;
    position: fixed;
}

header .container {
    padding: 0 15px;
}

header h1 {
    font-size: 2.8rem;
    line-height: 120px;
    text-align: center;
    color: #FFF;
    white-space: nowrap;
    margin: 0;
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
}

header.fixed {
    position: fixed;
    padding: 0;
}

header.fixed h1 {
    font-size: 2.2rem;
    margin: 0;
    line-height: 86px;
}

#navBtn {
    width: 70px;
    background: rgba(255, 255, 255, .2);
    height: 70px;
    border-radius: 100%;
    position: fixed;
    left: 8px;
    top: 8px;
    border: 0;
    z-index: 1000;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: .5s ease-in-out;
    -moz-transition: .5s ease-in-out;
    -o-transition: .5s ease-in-out;
    transition: .5s ease-in-out;
    cursor: pointer;
    outline: none;
}

#navBtn:hover {
    background: rgba(255, 255, 255, .4);
}

#navBtn span {
    display: block;
    position: absolute;
    height: 6px;
    width: 40px;
    background: #fff;
    border-radius: 6px;
    opacity: 1;
    left: 0;
    -webkit-transform: rotate(0deg);
    -moz-transform: rotate(0deg);
    -o-transform: rotate(0deg);
    transform: rotate(0deg);
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
    left: 15px;
}

#navBtn span:nth-last-of-type(1) {
    top: 18px;
}

#navBtn span:nth-last-of-type(2) {
    top: 32px;
}

#navBtn span:nth-last-of-type(3) {
    top: 32px;
}

#navBtn span:nth-last-of-type(4) {
    top: 46px;
}

#navBtn.active span:nth-last-of-type(1) {
    top: 32px;
    width: 0%;
    left: 50%;
}

#navBtn.active span:nth-last-of-type(2) {
    top: 32px;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    transform: rotate(45deg);
}

#navBtn.active span:nth-last-of-type(3) {
    top: 32px;
    -webkit-transform: rotate(-45deg);
    -moz-transform: rotate(-45deg);
    -o-transform: rotate(-45deg);
    transform: rotate(-45deg);
}

#navBtn.active span:nth-last-of-type(4) {
    top: 32px;
    width: 0%;
    left: 50%;
}

#fixMenu {
    position: fixed;
    left: 0;
    -webkit-transform: translateX(-200px);
    -moz-transform: translateX(-200px);
    -o-transform: translateX(-200px);
    -ms-transform: translateX(-200px);
    transform: translateX(-200px);
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
    top: 0;
    height: 100vh;
    width: 200px;
    background: rgba(45, 116, 150, 0.9);
    color: #FFF;
    z-index: 999;
    padding: 100px 0 20px 0;
}

#fixMenu.active {
    -webkit-transform: translateX(0);
    -moz-transform: translateX(0);
    -o-transform: translateX(0);
    -ms-transform: translateX(0);
    transform: translateX(0);
}

#fixMenu .menu {
    height: calc(100vh - 100px);
    overflow: scroll;
    -webkit-overflow-scrolling: touch;
}

#fixMenu ol {
    padding: 0;
    margin: 0;
}

#fixMenu ol:first-child li a::before, #fixMenu ol:last-child li a::before {
    display: none;
}

#fixMenu ol li {
    border-bottom: 1px solid rgba(255, 255, 255, 0.4);
    padding: 0;
    counter-increment: step-counter;
    position: relative;
}

#fixMenu ol li a::before {
    content: counter(step-counter);
    margin-right: 10px;
}

#fixMenu ol li a {
    display: block;
    padding: 10px 20px;
    color: #FFF;
    text-decoration: none;
}

#fixMenu ol li a:hover {
    background: #2a5c75;
}

#fixMenu ol li:nth-of-type(2) {
    border-bottom: none;
}

#fixMenu ol:first-child li:last-child {
    border-bottom: 1px solid rgba(255, 255, 255, 0.4);
}

#fixMenu ol li.active a {
    background: #2a5c75;
}

#fixMenu.active::after {
    border-right: 12px solid #FFF;
    border-left: none;
}

main {
    padding: 120px 0 20px 0;
}

main section {
    border-bottom: 1px dashed #b1b1b1;
    padding-bottom: 80px;
}

main section:last-child {
    border: 0;
}

main h2 {
    font-size: 2.4rem;
    font-weight: 700;
    line-height: 1.2rem;
    margin: 100px 0 30px 0;
    padding: 12px 20px 12px 56px;
    position: relative;
}

main h2::before {
    content: "";
    display: block;
    width: 100px;
    height: 1px;
    border-bottom: 1px solid #333;
    position: absolute;
    left: 0;
    top: 15px;
    -webkit-transform: rotate(130deg);
    -moz-transform: rotate(130deg);
    -o-transform: rotate(130deg);
    -ms-transform: rotate(130deg);
    transform: rotate(130deg);
}

main h2 i {
    position: absolute;
    left: -10px;
    top: -10px;
    font-size: 1.2em;
    font-family: Arial, Helvetica, sans-serif;
}

main h2.intro {
    padding: 12px 20px 12px 0;
    margin: 100px 0 30px 0;
}

main h2.intro::before {
    display: none;
}

main h3 {
    margin: 50px 0 20px 0;
    font-size: 1.3rem;
    font-weight: 700;
    line-height: 2rem;
    letter-spacing: 1px;
    position: relative;
    font-weight: normal;
}

main h3 span {
    display: inline-block;
    border: 2px solid #0f1a2b;
    font-weight: 700;
    padding: 4px 16px;
}

main h4 {
    margin: 15px 0 0 0;
    border-top: 1px solid #333;
    border-bottom: 1px solid #333;
    display: inline-block;
    padding: 0 12px;
}

main h4::after {
    content: " \2794";
}

main strong {
    color: #142940;
}

main ul,
main ol {
    margin-top: 0;
}

main em {
    font-style: normal;
    color: #cf0000;
    font-weight: bold;
}

main b {
    font-style: normal;
    color: #cf0000;
    font-weight: 400;
    border-bottom: 2px solid #cf0000;
}

main q {
    display: block;
    margin: 20px 0;
    background: rgba(111, 111, 110, 0.1);
    padding: 30px 40px;
    position: relative;
    border-radius: 4px;
}

main q::before {
    content: "\275D";
    font-size: 2rem;
    color: #0f1a2b;
    position: absolute;
    left: 10px;
    top: 10px;
}

main q::after {
    content: "\275E";
    font-size: 2rem;
    color: #0f1a2b;
    position: absolute;
    right: 10px;
    bottom: 5px;
}

main ol,
main ul {
    margin: 10px 0 40px 0;
}

main li strong {
    margin-top: 1rem;
    display: inline-block;
}

main img {
    max-width: 100%;
    margin: 20px 0;
    display: block;
    min-width: 60px;
}

.table {
    width: auto;
}

.table thead th {
    white-space: nowrap;
}

.table thead th,
.table tbody td {
    border: 1px solid #666 !important;
    font-size: 0.9rem;
    line-height: 1.5rem;
}

.table tbody td {
    font-size: 0.9rem;
}

.table tbody+tbody {
    border-top: 1px solid #666;
}

.table tbody td img {
    margin: 0;
}

footer {
    background: #333;
    color: #FFF;
    padding: 20px 0 10px 0;
    font-size: .8rem;
    font-weight: 400;
    text-align: left;
    line-height: 1.4rem;
}

footer p {
    padding: 20px 0 0 0;
    margin: 0;
}

footer a {
    color: #fff;
}

.syntaxhighlighter {
    margin-bottom: 40px;
    overflow: hidden;
    padding: 20px 10px 20px 0;
}

.syntaxhighlighter .toolbar {
    display: none;
}

.syntaxhighlighter .line .content .block {
    background: none;
}

.syntaxhighlighter .line .content code {
    font-size: 0.8rem;
}

#tag {
    position: fixed;
    right: 10px;
    bottom: 10px;
    width: 50px;
    height: 50px;
    -webkit-transition: all ease .3s;
    -moz-transition: all ease .3s;
    -o-transition: all ease .3s;
    transition: all ease .3s;
    background: rgba(239, 0, 0, 1);
    background: -moz-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: -webkit-gradient(left bottom, right top, color-stop(0%, rgba(239, 0, 0, 1)), color-stop(100%, rgba(14, 148, 192, 1)));
    background: -webkit-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: -o-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: -ms-linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    background: linear-gradient(45deg, rgba(239, 0, 0, 1) 0%, rgba(14, 148, 192, 1) 100%);
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#ef0000', endColorstr='#0e94c0', GradientType=1);
    display: block;
    z-index: 10000;
    border-radius: 100%;
}

#tag span {
    display: block;
    width: 100%;
    height: 100%;
    background: url(http://test.domojyun.net/MEMO/tag.png) center center/80% auto no-repeat;
    text-indent: -9999px;
}

#tag:hover {
    margin-bottom: 4px;
}

@media(max-width:768px) {
    body {
        font-size: 0.9rem;
    }
    body .container {
        padding: 0 15px;
    }
    header,
    header.fixed {
        padding: 0 0 0 60px;
        position: fixed;
    }
    header h1,
    header.fixed h1 {
        font-size: 1.5rem;
        line-height: 76px
    }
    #navBtn {
        width: 60px;
        height: 60px;
    }
    #navBtn span {
        left: 13px;
        height: 4px;
        width: 34px;
    }
    #navBtn span:nth-last-of-type(1) {
        top: 18px;
    }
    #navBtn span:nth-last-of-type(2) {
        top: 28px;
    }
    #navBtn span:nth-last-of-type(3) {
        top: 28px;
    }
    #navBtn span:nth-last-of-type(4) {
        top: 38px;
    }
    #navBtn.active span:nth-last-of-type(1),
    #navBtn.active span:nth-last-of-type(2),
    #navBtn.active span:nth-last-of-type(3),
    #navBtn.active span:nth-last-of-type(4) {
        top: 28px;
    }
    main {
        padding-top: 60px;
    }
    main section {
        padding-bottom: 40px;
    }
    main h2 {
        font-size: 1.5rem;
        padding: 12px 20px 12px 20px;
        margin: 3rem 0 15px 0;
    }
    main h2.intro {
        padding: 12px 20px 12px 0;
        margin: 3rem 0 15px 0;
    }
    main h2::before {
        width: 60px;
        left: -10px;
    }
    main h3 {
        margin: 40px 0 20px 0;
        font-size: 1.1rem;
        line-height: 1.5rem;
    }
    main h3 span {
        padding: 4px 10px;
    }
    main q {
        padding: 34px 20px;
    }
    main q::before,
    main q::after {
        font-size: 1.4rem;
    }
    main ol,
    main ul {
        margin: 10px 0 20px -10px;
    }
}